# TODO:  /etc/xdg/lxpanel - proper tags/flags etc.
%bcond_with		gtk3	# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2
Summary:	LXPanel is a lightweight X11 desktop panel
Name:		lxpanel
Version:	0.8.2
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	8d7c93c4ebb4af8bf436ef6d3aee4ea9
URL:		http://wiki.lxde.org/en/LXPanel
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.12
BuildRequires:	alsa-lib-devel
BuildRequires:	gettext-tools
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool
BuildRequires:	keybinder-devel
BuildRequires:	libfm-devel
BuildRequires:	libiw-devel
BuildRequires:	libwnck2-devel
BuildRequires:	libtool
BuildRequires:	menu-cache-devel
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	/sbin/ldconfig
Requires:	lxmenu-data
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXPanel is a lightweight X11 desktop panel.

%package devel
Summary:	Header files for lxpanel library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki lxpanel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for lxpanel library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki lxpanel.

%prep
%setup -q

%build
%{__aclocal}
%{__autoheader}
%{__libtoolize}
%{__intltoolize}
%{__automake}
%{__autoconf}
%configure \
	%{?with_gtk3:--enable-gtk3}
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/ld.so.conf.d
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if "%{_lib}" == "lib64"
echo "%{_libdir}/lxpanel" >$RPM_BUILD_ROOT/etc/ld.so.conf.d/lxpanel64.conf
%else
echo "%{_libdir}/lxpanel" >$RPM_BUILD_ROOT/etc/ld.so.conf.d/lxpanel.conf
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{frp,ur_PK,tt_RU}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%if "%{_lib}" == "lib64"
/etc/ld.so.conf.d/lxpanel64.conf
%else
/etc/ld.so.conf.d/lxpanel.conf
%endif
%attr(755,root,root) %{_bindir}/lxpanel
%attr(755,root,root) %{_bindir}/lxpanelctl
%dir %{_libdir}/lxpanel
%attr(755,root,root) %{_libdir}/lxpanel/liblxpanel.so.*.*.*
%attr(755,root,root) %ghost /%{_libdir}/lxpanel/liblxpanel.so.0
%dir %{_libdir}/lxpanel/plugins
%attr(755,root,root) %{_libdir}/lxpanel/plugins/*.so
%{_mandir}/man1/lxpanel.1*
%{_mandir}/man1/lxpanelctl.1*

%dir %{_datadir}/lxpanel
##%{_datadir}/lxpanel/profile
%{_datadir}/lxpanel/ui

%dir %{_datadir}/lxpanel/images
%{_datadir}/lxpanel/images/*.png

%dir %{_datadir}/lxpanel/images/xkb-flags
# TODO: lang tags here
%{_datadir}/lxpanel/images/xkb-flags/*.png

%dir %{_datadir}/lxpanel/xkeyboardconfig
%{_datadir}/lxpanel/xkeyboardconfig/*.cfg

%{_sysconfdir}/xdg/lxpanel

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/lxpanel
%{_includedir}/lxpanel/*.h
%{_pkgconfigdir}/lxpanel.pc
%attr(755,root,root) %{_libdir}/lxpanel/liblxpanel.so
%changelog
* Wed Apr 20 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lxpanel.git;a=log;h=master

* Wed Apr 20 2016 Marcin Krol <hawk@tld-linux.org> 21aa434
- add required ldconfig stuff

* Wed Apr 20 2016 Marcin Krol <hawk@tld-linux.org> 6b53749
- updated to 0.8.2

* Fri Jul 17 2015 Marcin Krol <hawk@tld-linux.org> fa05444
- back to gtk+2, doesn't build with gtk+3 and even if forced to build
  it doesn't work properly

* Sun Jul 12 2015 Marcin Krol <hawk@tld-linux.org> 7eb967f
- typo in BR

* Sun Jul 12 2015 Marcin Krol <hawk@tld-linux.org> 6cb0534
- build with gtk+3

* Sun Jul 12 2015 Marcin Krol <hawk@tld-linux.org> 51fb368
- updated to 0.8.1

* Sun Jul 12 2015 Marcin Krol <hawk@tld-linux.org> a30c31d
- from PLD

